@ECHO OFF
REM ==========================================================
REM churn.bat -- build lpc17xx.a                             =
REM ==========================================================
REM This builds cleanly with -Wall -O0 except for one message:
REM   debug_frmwrk.c:264: warning: assertions are a deprecated
REM   extension
REM in the strange line:  #elif #if (USED_UART_DEBUG_PORT==1)
REM Since this source file is currently unused, it is not
REM included in the C files list below.
REM
REM -Os adds a few "may be used uninitialized" messages.
REM
REM Lots more messages with -c99 -pedantic.
REM
REM Note that one fix has been applied to the NXP files; see
REM lpc17xx.txt

SET cfiles=lpc*.c public\core*.c public\system*.c public\lpc*.c

SET cextra=-Wno-uninitialized

SET libs=tollos
SET lax=1
SET lib=1
CALL ..\tollos\charm.bat %cfiles%











